NDJSON event export
GET
/api/v1/events:export
const url = 'https://example.com/api/v1/events:export';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/events:export \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”objectId
string
Filter by monitored object id
sourceId
string
Filter by ingress event-source id
severity
string
Filter by severity (e.g. critical)
types
string
Comma-separated event types
from
string
RFC 3339 lower time bound
to
string
RFC 3339 upper time bound
Responses
Section titled “Responses”OK
default
Section titled “default”Problem Details (RFC 9457)
Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{ "code": "example", "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}